
This files lists missing stuff, this is not intended to be comprehensive

Frontend - C
============

 * arrays
 * structs
 * unions
 * enums
 * goto
 * a lot of type checking / operations


Front+Back
==========

 * Multiple input files


Frontend - Asm
==============

 * A bunch of directives


Backend - Asm
=============

 * Floating point
 * Several arithmetic operation


Backend - Elf
=============

 * Generate DWARF info


Linker
======

 * Pretty much everything


Backend - x86
=============

 * a ton of instructions
